Retail Express API 2.1

Gets specific Outlet by unique id

Gets specific Outlet by unique id

get
https://api.retailexpress.com.au/v2.1/outlets/{id}

Path Parameters

idinteger(int32)required

Outlet id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Outlet

Outlet

Outlet model

* Additional properties are NOT allowed.
idinteger | null(int32)

Outlet id

namestring | null

Outlet name

>= 0 characters<= 255 characters

external_referencestring | null

External outlet code

>= 0 characters<= 30 characters

enabledboolean

Enabled

company_namestring | null

Company

>= 0 characters<= 100 characters

company_registration_numberstring | null

Company registration number

>= 0 characters<= 50 characters

company_registration_labelstring | null

Company registration label

>= 0 characters<= 15 characters

billing_typeinteger | null(int32)

Billing type

fob_currencyobject
* Additional properties are NOT allowed.
Show Child Parameters
store_typeobject

Sore type model

* Additional properties are NOT allowed.
Show Child Parameters
addressobject

Outlet address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Phone

>= 0 characters<= 50 characters

faxstring | null

Fax

>= 0 characters<= 50 characters

emailstring | null

Email

>= 0 characters<= 50 characters

bank_detailsobject

Outlet bank details model

* Additional properties are NOT allowed.
Show Child Parameters
default_source_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
default_fulfil_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
minimum_replenishment_quantityinteger | null(int32)

Minimum replenishment quantity

>= 0<= 2147483647

logoobject
* Additional properties are NOT allowed.
Show Child Parameters
invoice_email_templateobject

Outlet email from template model

* Additional properties are NOT allowed.
Show Child Parameters
invoice_receipt_commentsstring | null

Invoice receipt comments

Match pattern:^(?!.*<[^>]+>).*

>= 0 characters<= 8000 characters

display_address_on_invoiceboolean

Display address on invoice

purchase_order_commentsstring | null

Purchase order comments

Match pattern:^(?!.*<[^>]+>).*

>= 0 characters<= 8000 characters

modified_onstring(date-time)

Modified on

get/outlets/{id}
 
application/json

pricegroups

Searches PriceGroups by parameters

Searches PriceGroups by parameters

get
https://api.retailexpress.com.au/v2.1/pricegroups/standard

Query Parameters

order_bystring | null

Order by.

Available field name values: name

Available direction values: asc, desc.

Example: name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns PriceGroups

StandardPriceGroup.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/pricegroups/standard
 
application/json

Searches Fixed Price Groups by parameters

Searches Fixed Price Groups by parameters

get
https://api.retailexpress.com.au/v2.1/pricegroups/fixed

Query Parameters

order_bystring | null

Order by.

Available field name values: name

Available direction values: asc, desc.

Example: name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns PriceGroups2FixedPricings

FixedPriceGroup.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/pricegroups/fixed
 
application/json

Creates Fixed Price Group

Sample request:

POST /pricegroups/fixed
{ 
    "name": "Fixed price group 1"
}
post
https://api.retailexpress.com.au/v2.1/pricegroups/fixed

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Fixed Price Group

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Fixed Price Group created

FixedPriceGroup

* Additional properties are NOT allowed.
idinteger(int32)

Identifier

namestring | null

Name

modified_onstring(date-time)

Date of last modification of Fixed Price Group

post/pricegroups/fixed

Body

{}
 
application/json